Subject: [alpine-devel] Freeswitch sounds

From: Ted Trask <[email-masked]>
Date: Wed, 8 Apr 2015 20:03:17 +0000 (UTC)

Just tried installing the default freeswitch config, and the sounds directory didn't work. This issue sounded familiar, since I ran across it 2 years ago. Haven't used the default config since then, I guess. Here's the history:
Aug 10, 2011 - Freeswitch package is updated and the sounds directory is updated from to /usr/share/freeswitch/soundsaports - Main aports tree

|   |
|   |   |   |   |   |
| aports - Main aports treediff --git a/main/freeswitch/APKBUILD b/main/freeswitch/APKBUILD index 5016fae..a4a1cc0 100644 --- a/main/freeswitch/APKBUILD +++ b/main/freeswitch/APKBUILD @@ -4,7 +4,7 @@ pkgname=freeswitch  |
|  |
| View on git.alpinelinux.org | Preview by Yahoo |
|  |
|   |

Sept 19, 2012 to Oct 3, 2012 - bug submitted and all sounds packages updated to install to the new directoryBug #1395: Freeswitch sounds packages install to wrong directory - Alpine Linux - Alpine Linux Development

|   |
|   |   |   |   |   |
| Bug #1395: Freeswitch sounds packages install to wrong directory - Alpine Linux - Alpine Linux Devel...Redmine |
|  |
| View on bugs.alpinelinux.org | Preview by Yahoo |
|  |
|   |

Dec 31, 2012 - Freeswitch package updated again, and sounds directory is reverted back.aports - Main aports tree

|   |
|   |   |   |   |   |
| aports - Main aports treediff --git a/main/freeswitch/APKBUILD b/main/freeswitch/APKBUILD index 0ce525e..9afabc2 100644 --- a/main/freeswitch/APKBUILD +++ b/main/freeswitch/APKBUILD @@ -3,7 +3,7 @@  |
|  |
| View on git.alpinelinux.org | Preview by Yahoo |
|  |
|   |

So, where should the sound files be? I'm guessing that the second commit was a regression. We can reimplement the sed statement in the APKBUILD. Or, we can update the init.d script to specify the proper sounds path. Here is a patch for the latter:
--- a/main/freeswitch/freeswitch.initd+++ b/main/freeswitch/freeswitch.initd@@ -32,6 +32,7 @@ start() {  -nc -conf /etc/freeswitch -log /var/log/freeswitch \  -run /var/run/freeswitch -db /var/lib/freeswitch/db \  -htdocs /usr/share/freeswitch/htdocs \+ -sounds /usr/share/freeswitch/sounds \  -scripts /etc/freeswitch/scripts ${OPTS}  eend $? }
Ted